2402423 - Missing dependencies when installing ADT on HANA Studio | SAP Knowledge Base Article

SAP Knowledge Base Articles - preview

2402423 - Missing dependencies when installing ADT on HANA Studio


When installing ABAP Development Tools (ADT) for Eclipse on HANA Studio, an error is raised that some dependencies/required components are missing.

For example:

An error occurred while collecting items to be installed
session context was:(profile=hdbstudio, phase=..., operand=, action=).

No repository found containing: osgi.bundle, ...



  • SAP HANA Studio
  • ABAP in Eclipse
  • SAP NetWeaver


SAP BW/4HANA 1.0 ; SAP HANA studio all versions ; SAP NetWeaver 7.4 ; SAP NetWeaver 7.5 ; SAP Web Application Server for SAP S/4HANA all versions ; SAP enhancement package 1 for SAP NetWeaver 7.3 ; SAP enhancement package 3 for SAP NetWeaver 7.0


org.eclipse.update.feature, HANA Studio, ABAP Development Tools for Eclipse, osgi.bundle , KBA , BC-DWB-AIE , Installation and infrastructure for ABAP tools in Eclipse , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.